<?php
/**
 * Tabber Tabs Widget
 *
 * Create the actual tabbed widget
 *
 * @package Tabber Tabs
 * @subpackage Widget
 */


 // Let's build a widget
class Slipfire_Widget_Tabber extends WP_Widget {

	function Slipfire_Widget_Tabber() {
		$widget_ops = array( 'classname' => 'tabber', 'description' => __('Place items in the TABBER TABS WIDGET AREA and have them show up here.', 'slipfire') );
		$control_ops = array( 'width' => 230, 'height' => 350, 'id_base' => 'slipfire-tabber' );
		$this->WP_Widget( 'slipfire-tabber', __('Tabber Tabs Widget', 'slipfire'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', empty($instance['title']) ? __('Tabs', 'slipfire') : $instance['title']);
		echo $before_widget;
		
		if ( $title )
			slipfire_tabber_widget_area();
			echo $after_widget;
	}


	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

	function form( $instance ) {

		//Defaults
		$defaults = array( 'title' => __('Tabber', 'slipfire'), 'initial' => false );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<div style="float:left;width:98%;"></div>
		<p>
		<?php _e('Place items in the TABBER TABS WIDGET AREA and have them show up here.', 'slipfire')?>
		</p>
	<?php
	}
}

// Tabber Tabs widget area
function slipfire_tabber_widget_area() { ?>
	
<div class="tabber">
	<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('tabber_tabs') ) ?>
</div>
<?php };
			
			
			

?>